Bug 56396 - Update ANGLE to at least r575
Summary: Update ANGLE to at least r575
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebGL (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Zhenyao Mo
URL:
Keywords:
Depends on:
Blocks: 56337
  Show dependency treegraph
 
Reported: 2011-03-15 11:58 PDT by David Kilzer (:ddkilzer)
Modified: 2011-06-20 19:24 PDT (History)
5 users (show)

See Also:


Attachments
Patch (760.52 KB, patch)
2011-06-20 15:41 PDT, Zhenyao Mo
kbr: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description David Kilzer (:ddkilzer) 2011-03-15 11:58:04 PDT
The ANGLE project needs to be updated to at least r575 before Bug 56337 can be fixed.
Comment 1 David Kilzer (:ddkilzer) 2011-04-19 16:57:54 PDT
Alok: Are you working on updating WebKit's copy of ANGLE?  This is still blocking Bug 56337.
Comment 2 Zhenyao Mo 2011-04-19 17:55:46 PDT
I am working on another ANGLE shader translator feature at the moment.  Once it's done, I'll do the rolling.
Comment 3 David Kilzer (:ddkilzer) 2011-05-04 11:10:47 PDT
(In reply to comment #2)
> I am working on another ANGLE shader translator feature at the moment.  Once it's done, I'll do the rolling.

I merged the following commits from upstream to unblock Bug 56337:

r572
r573
r574
r575

Committed r85761.  <http://trac.webkit.org/changeset/85761>
Comment 4 Zhenyao Mo 2011-06-20 10:56:17 PDT
Finally I got the Angle shader translator features in.  I'll roll Angle to r696 as I promised.
Comment 5 Zhenyao Mo 2011-06-20 15:41:58 PDT
Created attachment 97873 [details]
Patch
Comment 6 Zhenyao Mo 2011-06-20 15:43:08 PDT
This patch has been tested with run-webkit-tests LayoutTests/fast/canvas/webgl and also run-safari with some webgl demos.  Please review.
Comment 7 WebKit Review Bot 2011-06-20 15:45:26 PDT
Attachment 97873 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'LayoutTests/ChangeLog', u'LayoutTests/fast..." exit_code: 1

Last 3072 characters of output:
ce/ThirdParty/ANGLE/src/libGLESv2/vertexconversion.h:199:  This { should be at the end of the previous line  [whitespace/braces] [4]
Source/ThirdParty/ANGLE/src/libGLESv2/vertexconversion.h:208:  One space before end of line comments  [whitespace/comments] [5]
Source/ThirdParty/ANGLE/src/compiler/glslang_tab.cpp:3666:  One line control clauses should not use braces.  [whitespace/braces] [4]
Source/ThirdParty/ANGLE/src/compiler/glslang_tab.cpp:4096:  Tests for true/false, null/non-null, and zero/non-zero should all be done without equality comparisons.  [readability/comparison_to_zero] [5]
Source/ThirdParty/ANGLE/include/GLSLANG/ShaderLang.h:39:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/ThirdParty/ANGLE/include/GLSLANG/ShaderLang.h:40:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/ThirdParty/ANGLE/include/GLSLANG/ShaderLang.h:41:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/ThirdParty/ANGLE/include/GLSLANG/ShaderLang.h:71:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/ThirdParty/ANGLE/include/GLSLANG/ShaderLang.h:72:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/ThirdParty/ANGLE/include/GLSLANG/ShaderLang.h:77:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/ThirdParty/ANGLE/include/GLSLANG/ShaderLang.h:78:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/ThirdParty/ANGLE/include/GLSLANG/ShaderLang.h:79:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/ThirdParty/ANGLE/include/GLSLANG/ShaderLang.h:80:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/ThirdParty/ANGLE/include/GLSLANG/ShaderLang.h:81:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/ThirdParty/ANGLE/include/GLSLANG/ShaderLang.h:82:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/ThirdParty/ANGLE/include/GLSLANG/ShaderLang.h:83:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/ThirdParty/ANGLE/include/GLSLANG/ShaderLang.h:84:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/ThirdParty/ANGLE/include/GLSLANG/ShaderLang.h:147:  The parameter name "output" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/ThirdParty/ANGLE/include/GLSLANG/ShaderLang.h:242:  Use 0 or null instead of NULL (even in *comments*).  [readability/null] [4]
Source/ThirdParty/ANGLE/include/GLSLANG/ShaderLang.h:269:  Use 0 or null instead of NULL (even in *comments*).  [readability/null] [4]
Total errors found: 1202 in 97 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 8 Kenneth Russell 2011-06-20 16:54:24 PDT
Comment on attachment 97873 [details]
Patch

Looks good to me.
Comment 9 Zhenyao Mo 2011-06-20 19:24:16 PDT
Committed r89330: <http://trac.webkit.org/changeset/89330>